### Method

# FwupdPlugin ChunkArray index

since: 1.9.6

#### Declaration [src]

    FuChunk*
    fu_chunk_array_index (
      FuChunkArray* self,
      guint idx
    )

#### Description [src]

Gets the next chunk.

Available since: 1.9.6

#### Parameters

`idx`

  Type: `guint`

  The chunk index.

#### Return value

Type: `FuChunk`

A `FuChunk` or `NULL` if not valid.

The caller of the method takes ownership of the data, and is responsible for freeing it.